Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231680 - Review Request: vdccm - Serial connection daemon for Pocket PC devices
Summary: Review Request: vdccm - Serial connection daemon for Pocket PC devices
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On: 231679
Blocks: 231681
TreeView+ depends on / blocked
 
Reported: 2007-03-09 22:22 UTC by Aurelien Bompard
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-01 21:22:02 UTC
andreas.bierfert: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Aurelien Bompard 2007-03-09 22:22:02 UTC
Spec URL: http://gauret.free.fr/fichiers/rpms/fedora/synce/vdccm.spec
SRPM URL: http://gauret.free.fr/fichiers/rpms/fedora/synce/vdccm-0.9.3-1.src.rpm
Description: 
Vdccm is a daemon running as the user on the desktop machine, which
the Pocket PC connects to.
This vdccm is a replacement of the original dccm and the vdccm comming
with SynCE-KDE.

SynCE is already in Fedora Extras, but in the form of a monolithic package : all the components are in the same RPM. I've splitted it, this is one of the components.

Comment 1 Andreas Bierfert 2007-04-27 09:33:28 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

 * OK: E: vdccm setuid-binary /usr/bin/vdccm root 04755
       E: vdccm non-standard-executable-perm /usr/bin/vdccm 04755
    This is ok and should be setuid root
 * W: vdccm-devel no-documentation can be ignored
 * OK: package is named according to the guidelines
 * OK: spec file name matches base package name
 * OK: package meets packaging guidelines
 * OK: license
 * OK: license field matches actual license
 * OK: license is not included as own file and thus is not included in %doc
 * OK: spec file seems to be in AE
 * OK: no obfuscated code spec
 * OK: sources match upstream:
996236320a6b4c9410050c4dc6e53164  synce-vdccm-0.9.3.tar.gz                     
996236320a6b4c9410050c4dc6e53164 
/homes/awjb/rpmbuild/SOURCES/synce-vdccm-0.9.3.tar.gz
 * OK: Builds fine on x86_64/fc6
 * OK: BR seem fine
 * OK: package has no locale support
 * OK: ldconfig is run 
 * OK: package is not explicitly designed to be relocatable
 * OK: does not create own dirs
 * OK: no duplicate files in file listing
 * OK: %defattr and permissions seem ok
 * OK: %clean section is present
 * OK: macros are used consistently
 * OK: content is ok
 * OK: no doc package needed
 * OK: %doc files do not affect runtime
 * OK: header files are in -devel
 * OK: no static lib
 * OK: pkgconfig is not needed
 * OK: .so file in -devel package
 * OK: -devel requires main package
 * OK: package does not contain .la archives
 * OK: no .desktop needed
 * OK: does not own files/directories from other packages
 * OK: buildroot is rm at beginning of install
 * OK: filenames seem to be valid utfp

Package APPROVED with the following patch:

- --- vdccm.spec.1	2007-03-09 22:59:44.000000000 +0100
+++ vdccm.spec	2007-04-27 11:27:34.000000000 +0200
@@ -10,6 +10,7 @@
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:  libsynce-devel
+BuildRequires:  libtool
 
 Requires:       synce-serial
 
@@ -34,14 +35,14 @@
 
 %build
 %configure --disable-static
- -make %{?_smp_mflags}
+make LIBTOOL=%{_bindir}/libtool %{?_smp_mflags}
 
 
 %install
 rm -rf $RPM_BUILD_ROOT
 make install DESTDIR=$RPM_BUILD_ROOT
 
- -rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
+rm -f $RPM_BUILD_ROOT%{_libdir}/*.{la,a}
 
 
 %clean
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (GNU/Linux)

iD8DBQFGMcNJQEQyPsWM8csRAuiVAJ9RELkJMIAf4Z8+r9P2UtUu+2NVxgCgmIIC
gJDh9CKruUTYvbm4lFejTeI=
=VExq
-----END PGP SIGNATURE-----

Comment 2 Aurelien Bompard 2007-04-28 05:42:48 UTC
New Package CVS Request
=======================
Package Name: vdccm
Short Description: Serial connection daemon for Pocket PC devices
Owners: andreas.bierfert@lowlatency.de,gauret@free.fr
Branches: FC-6
InitialCC: 


Note You need to log in before you can comment on or make changes to this bug.